Уязвимость BDU:2022-00303

Дата: 21.01.2021. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-00303.

Наименование уязвимости: Уязвимость класса Http2MultiplexHandler сетевого программного средства Netty, связанная с недостатком в интерпретации HTTP-запросов, позволяющая нарушителю оказать воздействие на целостность данных.

Описание уязвимости: Уязвимость класса Http2MultiplexHandler сетевого программного средства Netty связана с некорректной обработкой запроса при преобразовании HTTP/2 потока в HTTP/1.1. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, оказать воздействие на целостность данных
Уязвимое ПО: Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 | Операционная система ООО «РусБИТех-Астра» Astra Linux Special Edition 1.7 | Сетевое программное средство Apache Software Foundation netty до 4.1.60 | Операционная система ФССП России ОС ТД АИС ФССП России ИК6 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 80 | Debian GNU/Linux 90 | Debian GNU/Linux 100 | Astra Linux Special Edition 17 | ОС ТД АИС ФССП России ИК6 |
Дата выявления: 21.01.2021.
CVSS 2.0: AV:N/AC:H/Au:N/C:N/I:P/A:N
Уровень опасности уязвимости: Низкий уровень опасности (базовая оценка CVSS 2.0 составляет 2,6)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,9)

Возможные меры по устранению:
Для Netty:
использование рекомендаций производителя: https://github.com/netty/netty/commit/89c241e3b1795ff257af4ad6eadc616cb2fb3dc4

Для ОС Debian:
использование рекомендаций производителя: https://security-tracker.debian.org/tracker/CVE-2021-21295

Для ОС Astra Linux:
использование рекомендаций производителя: https://wiki.astralinux.ru/astra-linux-se17-bulletin-2021-1126SE17

Для ОС ТД АИС ФССП России:
https://goslinux.fssp.gov.ru/2726972/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2021-21295.

Тип ошибки CWE: CWE-444
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://github.com/Netflix/zuul/pull/980
https://github.com/netty/netty/commit/89c241e3b1795ff257af4ad6eadc616cb2fb3dc4
https://github.com/netty/netty/security/advisories/GHSA-wm47-8v5p-wjpj
https://nvd.nist.gov/vuln/detail/CVE-2021-21295
https://security-tracker.debian.org/tracker/CVE-2021-21295
https://wiki.astralinux.ru/astra-linux-se17-bulletin-2021-1126SE17
https://goslinux.fssp.gov.ru/2726972/

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.